Loading...
Searching...
No Matches
gridfire::exceptions::GridFireError Class Reference

Base class for GridFire exceptions. More...

`#include <error_gridfire.h>`

Inheritance diagram for gridfire::exceptions::GridFireError:
[legend]
Collaboration diagram for gridfire::exceptions::GridFireError:
[legend]

## Public Member Functions

| GridFireError (std::string msg)
const char * | what () const noexcept override

## Private Attributes

std::string | m_msg

## Detailed Description

Base class for GridFire exceptions.

This class serves as the base for all exceptions specific to the GridFire library. It extends the standard std::exception class and allows for custom error messages.

## Constructor & Destructor Documentation

## GridFireError()

gridfire::exceptions::GridFireError::GridFireError | ( | std::string | msg | ) |

inlineexplicit

## Member Function Documentation

## what()

const char * gridfire::exceptions::GridFireError::what | ( |  | ) | const

inlinenodiscardoverridenoexcept

## Member Data Documentation

## m_msg

std::string gridfire::exceptions::GridFireError::m_msg

private

The documentation for this class was generated from the following file:

- src/include/gridfire/exceptions/error_gridfire.h